[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# RegisterComponentsProc

Callback procedure used when handling component registration.

## Declaration

Source position: classesh.inc line 2196

`var RegisterComponentsProc: procedure(`
`const Page: string;`
`ComponentClasses: array of TComponentClass`
`);`

## Description

RegisterComponentsProc can be set by an IDE to be notified when new components are being registered. Application programmers should never have to set RegisterComponentsProc

## See also

RegisterNoIconProc |  | Callback procedure used when handling icon-less component registration.
RegisterComponents |  | Registers components for the component palette.